com.aliyun.svideosdk.editor

## Interface AliyunIVodCompose

- All Superinterfaces:
    AliyunIBaseCompose

      public interface AliyunIVodCompose
      extends AliyunIBaseCompose

  An interface for composing media clips and uploading video files to ApsaraVideo VoD. This interface is different from AliyunICompose in that it uses upload credentials to upload video files. For more information about upload credentials, see https://help.aliyun.com/document_detail/99889.html. To compose media clips and upload video files separately, use `AliyunIBaseCompose` and `com.aliyun.svideosdk.editor.AliyunIVodUpload` respectively.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `AliyunIVodCompose.AliyunComposeState`
    `static class` | `AliyunIVodCompose.AliyunComposeUploadState`
    `static interface` | `AliyunIVodCompose.AliyunIVodUploadCallBack`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `cancelUpload()` Cancels uploading.
    `int` | `composeAndUpload(java.lang.String config, java.lang.String output, ComposeAndUploadCallBack callback)`
    `AliyunIVodCompose.AliyunComposeState` | `getState()` Gets the composition status.
    `int` | `init(Context context)` Initializer.
    `int` | `init(Context context, boolean reportEnabled)` Initializer.
    `int` | `pauseUpload()` Pauses uploading.
    `int` | `refreshWithUploadAuth(java.lang.String uploadAuth)` Updates upload credentials.
    `void` | `release()` Releases resources.
    `int` | `resumeUpload()` Resumes uploading.
    `int` | `uploadImageWithVod(java.lang.String imagePath, java.lang.String uploadAddress, java.lang.String uploadAuth, AliyunIVodCompose.AliyunIVodUploadCallBack aliyunVodUploadCallBack)` Uploads images by using upload credentials.
    `int` | `uploadVideoWithVod(java.lang.String videoPath, java.lang.String uploadAddress, java.lang.String uploadAuth, AliyunIVodCompose.AliyunIVodUploadCallBack aliyunVodUploadCallBack)` Uploads video files by using upload credentials.

    - ### Methods inherited from interface com.aliyun.svideosdk.editor.AliyunIBaseCompose

      `cancelCompose, compose, pauseCompose, resumeCompose, setRenderCallback`

- - ### Method Detail

    - #### init

          int init(Context context)

      Initializer. This method must be invoked at the very beginning.
      Specified by:
        `init` in interface `AliyunIBaseCompose`
      Parameters:
        `context` - Recommended value: applicationContext
      Returns:
        `AliyunErrorCode.OK` if the invocation is successful. `AliyunErrorCode.ERROR_COMPOSE_INIT_FAILED` if the context parameter is null.

    - #### init

          int init(Context context,
                   boolean reportEnabled)

      Initializer. This method must be invoked at the very beginning.
      Parameters:
        `context` - Recommended value: applicationContext
        `reportEnabled` - report upload info or not
      Returns:
        `AliyunErrorCode.OK` if the invocation is successful. `AliyunErrorCode.ERROR_COMPOSE_INIT_FAILED` if the context parameter is null.

    - #### composeAndUpload

          int composeAndUpload(java.lang.String config,
                               java.lang.String output,
                               ComposeAndUploadCallBack callback)

    - #### uploadVideoWithVod

          int uploadVideoWithVod(java.lang.String videoPath,
                                 java.lang.String uploadAddress,
                                 java.lang.String uploadAuth,
                                 AliyunIVodCompose.AliyunIVodUploadCallBack aliyunVodUploadCallBack)

      Uploads video files by using upload credentials.
      Parameters:
        `videoPath` -
        `uploadAddress` -
        `uploadAuth` -
        `aliyunVodUploadCallBack` -
      Returns:

    - #### uploadImageWithVod

          int uploadImageWithVod(java.lang.String imagePath,
                                 java.lang.String uploadAddress,
                                 java.lang.String uploadAuth,
                                 AliyunIVodCompose.AliyunIVodUploadCallBack aliyunVodUploadCallBack)

      Uploads images by using upload credentials.
      Parameters:
        `imagePath` -
        `uploadAddress` -
        `uploadAuth` -
      Returns:

    - #### refreshWithUploadAuth

          int refreshWithUploadAuth(java.lang.String uploadAuth)

      Updates upload credentials.
      Parameters:
        `uploadAuth` -
      Returns:

    - #### getState

          AliyunIVodCompose.AliyunComposeState getState()

      Gets the composition status.
      Returns:
        `AliyunIVodCompose.AliyunComposeState`

    - #### cancelUpload

          int cancelUpload()

      Cancels uploading.
      Returns:
        `AliyunErrorCode.OK` if the invocation is successful. `AliyunErrorCode.ERROR_COMPOSE_STATUS_ERROR` if the invocation fails.

    - #### resumeUpload

          int resumeUpload()

      Resumes uploading.
      Returns:
        `AliyunErrorCode.OK` if the invocation is successful. `AliyunErrorCode.ERROR_COMPOSE_STATUS_ERROR` if the invocation fails.

    - #### pauseUpload

          int pauseUpload()

      Pauses uploading.
      Returns:
        `AliyunErrorCode.OK` if the invocation is successful.

    - #### release

          void release()

      Releases resources.
      Specified by:
        `release` in interface `AliyunIBaseCompose`